#include "forms.h"
#include "xchooser.h"
FD_xchooser *fd_xchooser;
char cfilename[1024];

int items;
char * lines[1024];

int main(int argc, char *argv[])
{
  FL_IOPT flopt;
  
  flopt.debug=0;
  flopt.borderWidth=-2;   
  
  fl_set_defaults(FL_PDDebug| FL_PDBorderWidth,&flopt); 
  fl_initialize(&argc, argv, "xprompt", 0, 0);
  if (argc==1 || argc >3) 
    {
      puts("Usage: xchooser Title chooser-file");exit(-1);
    }
  
   if (argc==2) /* Use default choice file */
     {
       strcpy(cfilename,getenv("HOME"));
       strcat(cfilename,"/.xchooser");
     }

   if (argc==3) /* choice filename given */
     {
       strcpy(cfilename,argv[2]);
     }
   
   fd_xchooser = create_form_xchooser();

   /* show the first form */
   fl_show_form(fd_xchooser->xchooser,FL_PLACE_CENTER,FL_FULLBORDER,argv[1]);
   fl_do_forms();
   return 0;
}




